ClientCookie (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.cookie
Interface ClientCookie

All Superinterfaces:
  Cookie

All Known Implementing Classes:
  BasicClientCookie, BasicClientCookie2

    public interface ClientCookie

extends Cookie

ClientCookie extends the standard `Cookie` interface with additional client specific functionality such ability to retrieve original cookie attributes exactly as they were specified by the origin server. This is important for generating the `Cookie` header because some cookie specifications require that the `Cookie` header should include certain attributes only if they were specified in the `Set-Cookie` header.

Please do not use attributes marked as @Obsolete. They have been rendered obsolete by RFC 6265.

Since:
  4.0

Field Summary
`static String` | `COMMENT_ATTR`
`static String` | `COMMENTURL_ATTR`
`static String` | `DISCARD_ATTR`
`static String` | `DOMAIN_ATTR`
`static String` | `EXPIRES_ATTR`
`static String` | `MAX_AGE_ATTR`
`static String` | `PATH_ATTR`
`static String` | `PORT_ATTR`
`static String` | `SECURE_ATTR`
`static String` | `VERSION_ATTR`

Method Summary
`boolean` | `containsAttribute(String name)`
`String` | `getAttribute(String name)`

Methods inherited from interface org.apache.http.cookie.Cookie
`getComment, getCommentURL, getDomain, getExpiryDate, getName, getPath, getPorts, getValue, getVersion, isExpired, isPersistent, isSecure`

Field Detail

### VERSION_ATTR

    @Obsolete
    static final String VERSION_ATTR

See Also:
  Constant Field Values

### PATH_ATTR

    static final String PATH_ATTR

See Also:
  Constant Field Values

### DOMAIN_ATTR

    static final String DOMAIN_ATTR

See Also:
  Constant Field Values

### MAX_AGE_ATTR

    static final String MAX_AGE_ATTR

See Also:
  Constant Field Values

### SECURE_ATTR

    static final String SECURE_ATTR

See Also:
  Constant Field Values

### COMMENT_ATTR

    @Obsolete
    static final String COMMENT_ATTR

See Also:
  Constant Field Values

### EXPIRES_ATTR

    static final String EXPIRES_ATTR

See Also:
  Constant Field Values

### PORT_ATTR

    @Obsolete
    static final String PORT_ATTR

See Also:
  Constant Field Values

### COMMENTURL_ATTR

    @Obsolete
    static final String COMMENTURL_ATTR

See Also:
  Constant Field Values

### DISCARD_ATTR

    @Obsolete
    static final String DISCARD_ATTR

See Also:
  Constant Field Values

Method Detail

### getAttribute

    String getAttribute(String name)

### containsAttribute

    boolean containsAttribute(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.